# Demonstration of the pathlib module

#%% Import the pathlib module
from pathlib import Path

#%% Create a Path object
p = Path('.')
print(p)

#%% Print the type of the object
type(p)

#%% Print the full path
p.resolve()

#%% Get the current working directory
print(Path.cwd())

#%%Get the parent directory
print(Path.cwd().parent)

#%%Find the data/raw directory
p = Path.cwd().parent / 'data' / 'raw'

#%% List all files and directories in the current directory
print(list(p.glob('*')))
print(list(p.glob('*.img')))

#%% Create a new directory
p2 = Path.cwd().parent / 'data' / 'processed'
p2.mkdir()

#%% Create a new file
p2_file = p2 / 'new_file.txt'
p2_file.touch()

#%% Write to the file
p2_file.write_text('Hello, World!')

#%% Read from the file
print(p2_file.read_text())

#%% Delete the file
p2_file.unlink()

#%% Delete the directory
p2.rmdir()
