
#Import path package
from pathlib import Path
import sys, arcpy

#Reveal the current working directory
the_cwd = Path.cwd()
arcpy.AddMessage(f"The Path: {the_cwd}")

#Get the script file path
the_script_file = Path(sys.argv[0])
arcpy.AddMessage(f"Script file: {the_script_file}")

#Get the script folder (parent of script file)
the_script_folder = the_script_file.parent
arcpy.AddMessage(f"Script folder: {the_script_folder}")

#Find the img file in the data/raw folder
the_raw_folder = the_script_folder.parent / "data" / "raw"
arcpy.AddMessage(f"Raw folder: {the_raw_folder}")

#Find the img file
the_image_files = list(the_raw_folder.glob("*.img"))
the_image_file = the_image_files[0]

if the_image_file.exists():
    arcpy.AddMessage(f"IMG file: {the_image_file} found!")
else:
    arcpy.AddWarning(f"IMG file not found")

#Set the image file as the output parameter
arcpy.SetParameterAsText(0, str(the_image_file))